// -*- C++ -*-

/* 
 * GChemPaint
 * fragmenttool.cc 
 *
 * Copyright (C) 2003
 *
 * Developed by Jean Brfort <jean.brefort@ac-dijon.fr>
 *
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License as 
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

#include "config.h"
#include "fragmenttool.h"
#include "fragment.h"
#include <chemistry/object.h>

using namespace gcu;

static Object* CreateFragment()
{
	return new gcpFragment();
}

gcpFragmentTool FragmentTool;

gcpFragmentTool::gcpFragmentTool(): gcpTextTool(FragmentId)
{
	Object::AddType("fragment", CreateFragment, FragmentType);
}

gcpFragmentTool::~gcpFragmentTool()
{
}

void gcpFragmentTool::OnClicked()
{
}

void gcpFragmentTool::OnDrag()
{
}

void gcpFragmentTool::OnRelease()
{
}

void gcpFragmentTool::Deactivate()
{
}

void gcpFragmentTool::Activate()
{
}

bool gcpFragmentTool::OnEvent(GdkEvent* event)
{
}

